elinks (0.12~pre6-13ubuntu1) cosmic; urgency=medium

  * Compat with gnutls 3.6.4, just ask for normal priority as OPENPGP cert
    support is removed, and errors out even if asking to disable
    them. Closes: #910862

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Oct 2018 15:15:43 +0100

elinks (0.12~pre6-13) unstable; urgency=medium

  * Mark elinks-data and elinks-doc Multi-Arch: foreign, thanks to
    Helmut Grohne (Closes: #862197)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 12 Nov 2017 21:28:57 +0100

elinks (0.12~pre6-12) unstable; urgency=medium

  * Fix maint script (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Oct 2016 21:17:47 +0200

elinks (0.12~pre6-11) unstable; urgency=medium

  * Add maint script for dir_to_symlink (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Nov 2015 09:31:42 +0100

elinks (0.12~pre6-10) unstable; urgency=medium

  * Use autotools-dev in addition, thanks Wookey (Closes: #788321)
  * Remove Y Giridhar Appaji Nag from uploaders, inactive for quite
    a while now

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 04 Jul 2015 23:09:17 +0200

elinks (0.12~pre6-9) unstable; urgency=medium

  * Use dh-autoreconf to support arm64 (Closes: #788321)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 17 Jun 2015 23:51:53 +0200

elinks (0.12~pre6-8) unstable; urgency=medium

  * Make the build reproducible by stripping the __DATE__ and __TIME__
    macros (only used in "elinks --version").

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 07 Jun 2015 12:22:04 +0200

elinks (0.12~pre6-7) unstable; urgency=low

  * Actually bump debhelper to 9, this got lost on the way. Thanks, Simon.
    (Closes: #784194)
  * Trim postinst. Thanks, Jakub. (Closes: #784217)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 05 May 2015 22:23:54 +0200

elinks (0.12~pre6-6) unstable; urgency=low

  * Switch to a minimal rules file based on dh
  * Remove transition package elinks-lite, jessie has been released
  * Drop outdated README.source
  * Trim the installed documentation

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 May 2015 00:14:34 +0200

elinks (0.12~pre6-5) unstable; urgency=medium

  * Remove desktop file. Elinks is predominantly an application which
    people use who run an X-less system or which is used for scripts.
    A desktop file clutters the menu of the full-blown desktop
    environments. And the Debian menu entry still stays around anyway.
    (Closes: #748098)
  * Build against libgnutls28-dev (Closes: #753023)	
  * Bump standards version
  * Convert copyright file to UTF8, spotted by Lintian
  * Trim default value for protocol.http.user_agent in default config.

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2014 17:05:07 +0200

elinks (0.12~pre6-4) unstable; urgency=low

  * Switch to source format 3 (quilt) and drop previously used custom
    patch system
  * Remove 01_setup-bugs-FSSTND.diff (don't hide upstream bugzilla, users
    are smart enough to choose the appropriate BTS)
  * Cleanup www-browser alternative upon removal, thanks Andreas Beckmann!
    (Closes: #730056)
  * Copy full license for the BSD-licensed code and stop referring to
    /usr/share/common-licenses/BSD, spotted by Lintian
  * Add Replaces/Breaks for old elinks-lite packages, thanks Andreas Beckmann!
    (Closes: #730265)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Nov 2013 00:20:46 +0100

elinks (0.12~pre6-3) unstable; urgency=low

  * Flip Maintainers/Uploaders, Giridhar has been inactive for a while
  * Drop the elinks-lite package. It was introduced nearly ten years ago
    and the potential saving in disk space is negligable these days.
    Also, many of the previously used external libs/bindings (Guile, 
    Ruby, Spidermonkey and Python) are no longer used in the current
    elinks package. elinks-lite is now a transition package to elinks.
  * Fix smart url for current IMDB site, thanks to Matthew Fischer for
    the patch (Closes: #728143)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Nov 2013 22:55:35 +0100

elinks (0.12~pre6-2) unstable; urgency=low

  * Remove 05_skip-xmlto-validation.diff, no longer needed. Thanks to
    Ahmed El-Mahmoudy for the report.
  * Pass --disable-silent-rules to configure to avoid silent build
    logs. Tools like blhc and toolchain maintainers need full logs.

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 18 Sep 2013 16:43:12 +0200

elinks (0.12~pre6-1) unstable; urgency=low

  * New upstream release
    - Dropped 10-CVE-2012-4545.diff (included upstream)	 
    - Dropped 07-big-endian-64-bit.diff	 
  * Standards-Version 3.9.4 (no changes needed)
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 May 2013 01:18:18 +0200

elinks (0.12~pre5-9) unstable; urgency=medium

  * Fix CVE-2012-4545

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 01 Nov 2012 10:53:19 +0100

elinks (0.12~pre5-8) unstable; urgency=low

  * Apply patch from Guillem Jover to switch to Lua 5.1, thanks!
    (Closes: #674617)
  * Enable pie and znow
  * Disable support for Ruby scripting, which is not yet compatible
    with Ruby 1.9. This has always been an esoteric feature anyway
    (Closes: #676119)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 27 May 2012 12:17:42 +0200

elinks (0.12~pre5-7) unstable; urgency=low

  * Fix handling of CPPFLAGS, thanks to Simon Ruderich (Closes: #652449)
    I won't enable pie and znow for now, they'll be activated in the
    default flags at some point.	 

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 19 Dec 2011 23:47:27 +0100

elinks (0.12~pre5-6) unstable; urgency=low

  * Remove now obsolete 06_551238_SMJS-FTBFS.diff patch
  * Stop using a hardcoded list of non-Linux architectures 
    for the GPM dependency (Closes: #634376)
  * Stop using deprecated GNU TLS functions. Backport upstream
    commits by Kalle Olavi Niemitalo. Thanks to Andreas Metzler
    for the report (Closes: #624064, Closes: #624084)
  * Enable hardened build flags through dpkg-buildflags
  * Add a Build-Conflicts on libgc-dev (Closes: #650704)
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 06 Nov 2011 11:12:55 +0100

elinks (0.12~pre5-5) unstable; urgency=low

  * Fix sparc64 compat. Thanks to Aurelien Jarno (Closes: #596139)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 29 Oct 2011 17:03:02 +0200

elinks (0.12~pre5-4) unstable; urgency=low

  * Acknowledge NMUs, thanks Kumar! (Closes: #617713, Closes: #613475)
  * Disable support for Spidermonkey. Javascript support has always been
    an experimental feature and of limited use (since most websites
    which make extensive use of Javascript usually involve further
    features not available). Mozilla seems to focus on a standalone
    Firefox these days and the libs are treated as second class
    citizens.
  * Update to standards version 3.9.2 (no changes necessary)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 11 Jun 2011 17:08:17 +0200

elinks (0.12~pre5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Ben Hutchings' patch to fix default cache control problem
    (Closes: #617713)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 25 Apr 2011 08:54:09 -0500

elinks (0.12~pre5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix offset in debian/patches/06_551238_SMJS-FTBFS.diff
    (Closes: #613475)

 -- Kumar Appaiah <akumar@debian.org>  Fri, 15 Apr 2011 18:00:17 -0500

elinks (0.12~pre5-3) unstable; urgency=low

  * First jab at fixing the spidermonkey heartbeat patch (Closes: #592466)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Fri, 10 Sep 2010 14:03:00 +0530

elinks (0.12~pre5-2) unstable; urgency=low

  * New patch 06_550868_SMJS-FTBFS.diff to fix FTBFS caused by removing
    JS_SetBranchCallback.  Patch thanks to Miciah Dashiel Butler Masters
    <miciah.masters@gmail.com> (Closes: #551238)
  * Update Standards-Version to 3.8.3 (No changes required)
  * Modified 01_setup-bugs-FSSTND.diff to fix a typo error.
  * Add ${misc:Depends} to all binary packages, fixes lintian warning
    debhelper-but-no-misc-depends

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Sun, 10 Jan 2010 12:31:12 +0530

elinks (0.12~pre5-1) unstable; urgency=low

  * New upstream release 0.12pre5
    + Fixes crash in case of OOM w/ SpiderMonkey enabled (Closes: #534835)
    + Fixes crash - get regfree from libtre instead of libc (Closes: #532502)
  * Update Standards-Version to 3.8.2 (no changes required)
  * Enable finger support in elinks and elinks-lite (Closes: #535750)
  * Remove dh_desktop, now deprecated and is a no-op.

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Sat, 11 Jul 2009 20:49:34 +0530

elinks (0.12~pre4-1) unstable; urgency=low

  * New upstream release 0.12pre4
    + Refresh patches for new upstream release
    + Includes asciidoc.py from AsciiDoc 7.1.2 (Closes: #526349)
    + With GNUTLS 2.1.7 or later disable few TLS extensions -- helps
      handshaking with SSLv3-only bugzilla.novell.com (Closes: #528661)
    + Fixes crash while viewing RSS files (Closes: #514544)
    + Prevents FTBFS with gnutls26 >= 2.7.x:  Build-Depends: pkg-config to
      use 'pkg-config gnutls' instead of 'libgnutls-config' (Closes: #529821)
  * Compile elinks-lite with --without-tre

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Mon, 01 Jun 2009 16:38:57 +0530

elinks (0.12~pre3-2) unstable; urgency=low

  * Add libtre-dev to Build-Depends: to support wide chars regex search
    (Closes: #522052)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 31 Mar 2009 19:32:43 +0530

elinks (0.12~pre3-1) unstable; urgency=low

  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Update Standards-Version to 3.8.1 (no changes required)
  * New upstream release
   + Fixes crash in RSS renderer (Closes: #514544)
   + Refresh patches for 0.12~pre3
  * Update to debian/compat 6 and use dh_lintian instead of dh_installing
    the override file.
  * Use krb5-dev instead of heimdal-dev for GSSAPI (Closes: #488633)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 31 Mar 2009 00:21:30 +0530

elinks (0.12~pre2.dfsg0-1) unstable; urgency=low

  * New upstream release 0.12pre2
    + Renders UTF-8 properly (Closes: #331638)
    + Fixes decompression bug with gzip + chunked (Closes: #486917)
    + Can bind BS (8) and DEL (127) to different actions (Closes: #139984)
    + ECMAScript support is largely considered stable (Closes: #428549)
  * Refresh patches for 0.12pre2
  * Disable incomplete Guile and Python support in unstable
  * Remove patch 14_debug_disable_Werror and disable debugging support
    intended for development versions
  * Disable features marked experimental (NNTP, EX mode and Bittorrent)
  * Disable SMB support (libsmbclient is GPLv3+)
  * Correct lots of licensing information in debian/copyright
  * Adjust debian/watch file to handle dfsg and pre|rc releases

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 02 Oct 2008 23:54:53 +0530

elinks (0.12~pre1-1) experimental; urgency=low

  * New upstream release 0.12pre1
    + Refresh 14_debug_disable_Werror for 0.12pre1
  * Rename patches to be inline with those in unstable

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 21 Sep 2008 18:54:18 +0530

elinks (0.11.4-3) unstable; urgency=low

  * Remove /usr/share/doc/elinks from previous install during upgrade
    and link to /usr/share/doc/elinks-data (Closes: #499347)
  * Refresh patches (to use git diff instead of diff -Nur) and add
    comments to patches.
  * Refresh 04_436817_nostrip.diff for 0.11.4 (it leaves a .orig file
    otherwise)
  * Build-Depend on libgpm-dev instead of transitional libgpmg1-dev
  * Update Standards-Version to 3.8.0, added a README.source file

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sat, 20 Sep 2008 21:01:59 +0530

elinks (0.11.4-2) unstable; urgency=low

  * Don't let xmlto validate the XML files, just produce the manpage.
    (Closes: #491820)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 29 Jul 2008 22:39:55 +0200

elinks (0.11.4-1) unstable; urgency=low

  * New upstream release:
    - Drop 01_asciidoc7compatible.diff, merged upstream
    - Drop 03_417789-CVE-2007-2027.diff, merged upstream
    - Drop 04_380347-entity_cache-overflow.diff, merged upstream
    - Drop 07_local-CGI-query-fix.diff, merged upstream
    - Drop 12_338402_cfmakeraw_exotic_term.diff, merged upstream
    - Drop 13_fsp-display-dir.diff, merged upstream
    - Update and renumber the remaining patches

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 21 Jun 2008 17:01:47 +0200

elinks (0.12~20080527-2) experimental; urgency=low

  * Re-enable --enable-debug (it is recommended for development versions of
    ELinks and adds extra checks etc.)
  * Patch 14_debug_disable_Werror.diff to remove -Werror explicitly because we
    now use --enable-debug.
  * Enable GSSAPI (Closes: #483403)
  * Disable LMZA via --without-lzma (lzma-dev in Debian from 7-zip.org doesn't
    work with ELinks).

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 29 May 2008 14:24:42 +0530

elinks (0.12~20080527-1) experimental; urgency=low

  * Update orig to new upstream snapshot as of 20080527 (Closes: #478156)
  * Delete patches not necessary for 12~20080527
    + 09_464384_alignof_off_t_FBTFS.diff
    + 10_bt_msg_id_FTBFS.diff
    + 12_338402_cfmakeraw_exotic_term.diff
  * Refresh patches for 12~20080527
    + 02_setup-bugs-FSSTND.diff
    + 06_459467_ui.leds.enable_0.diff
    + 08_436817_nostrip.diff
  * Disable --enable-debug as it uses -Werror and causes too many FTBFSs.
    Will look at the build logs manually and file bugs upstream for the
    warnings that are serious.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Tue, 27 May 2008 21:03:09 +0530

elinks (0.11.3-8) unstable; urgency=low

  * Fix bash-ism in debian/rules get-orig-source target.  Thanks Raphael
    Geissert <atomo64@gmail.com> (Closes: #477976)
  * Update 13_fsp-display-dir.diff to workaround fsplib ABI dependency on
    _FILE_OFFSET_BITS.  Thanks Kalle Olavi Niemitalo <kon@iki.fi>
  * Remove perl from Build-Depends, it is build-essential

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Wed, 21 May 2008 17:27:46 +0530

elinks (0.12~20080127-3) experimental; urgency=low

  * Rename 09_464384_AMD64_FBTFS.diff as 09_464384_alignof_off_t_FBTFS.diff
  * Refresh 12_338402_cfmakeraw_exotic_term.diff for 0.12~20080127
  * Remove patch 13_fsp-display-dir.diff (not necessary for 0.12) 

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 27 Apr 2008 02:00:57 +0530

elinks (0.11.3-7) unstable; urgency=low

  * Use '<<' versioning rather than '<=' for Conflicts/Replaces.  Thanks Colin
    Watson <cjwatson@ubuntu.com> (Closes: #475520)
  * Enable the FSP file transfer protocol (Closes: #478007)
    + Patch 13_fsp-display-dir.diff to fix bug in directory listing

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 27 Apr 2008 01:36:11 +0530

elinks (0.11.3-6) unstable; urgency=low

  * Remove 11_303164_css_display_none.diff as it is useless without the fix
    for upstream bug 722.
  * Change ELinks category in desktop file from Categories=Utility;Network; to
    Categories=Network;WebBrowser;  Thanks Franklin PIAT <fpiat@bigfoot.com>
    (Closes: #474393)
  * Steal a few .desktop file improvements and translations from Ubuntu [from
    Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>]
  * Much improved packages descriptions

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 10 Apr 2008 13:34:13 +0530

elinks (0.11.3-5) unstable; urgency=low

  * Pass --enable-88-colors to configure for main build (Closes: #466483)
  * Patch 11_303164_css_display_none.diff to handle display:none in CSS
    (Closes: #303164)
  * Patch 12_338402_cfmakeraw_exotic_term.diff to fix cfmakeraw() to not
    disable XON/XOFF flow control (Closes: #338402)
  * Remove linda overrides files

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 06 Mar 2008 12:11:51 +0530

elinks (0.12~20080127-2) experimental; urgency=low

  * Remove patch 07_local-CGI-query-fix.diff (Closes: #464073)
  * Patch 09_464384_AMD64_FBTFS.diff to prevent FTBFS on AMD64 because of
    -Werror.  Thanks Kalle Olavi Niemitalo (Closes: #464384)
  * Patch 10_bt_msg_id_FTBFS.diff to prevent FTBFS because of limited range
    warning and -Werror (Closes: #465719).

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 28 Feb 2008 20:22:34 +0530

elinks (0.11.3-4) unstable; urgency=low

  * Add a DM-Upload-Allowed: yes field
  * Update 02_setup-bugs-FSSTND.diff to prevent changing contrib/elinks.conf
    (it is not used anymore).
  * Update 06_459467_ui.leds.enable_0.diff to set leds.enable to default: 0 in
    elinks.conf(5).
  * Enable Ruby scripting support and install contrib/ruby as examples.
  * Enable local CGI support.  That was what 07_local-CGI-query-fix.diff about
    anyway :)
  * Use dh_install for installing lintian/linda overrides and desktop file.
    This is cleaner than doing it in debian/rules via the 'install' program.
  * Add libidn11-dev do Build-Depends, IDN isn't enabled otherwise even if it
    not disabled by default

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Wed, 13 Feb 2008 23:09:08 +0530

elinks (0.12~20080127-1) experimental; urgency=low

  * Enable support for new protocols SMB and Bittorrent
  * Enable Guile, Python, Ruby and Javascript scripting functionality
  * Enable extra debugging support for this experimental release
  * Enable local CGI and ex mode
  * Add a warning in README.Debian about experimental features
  * Remove patches (fixes already present in 0.12)
    + 01_asciidoc7compatible.diff
    + 04_380347-entity_cache-overflow.diff
    + 05_257762-transparency-off.diff
  * Refresh and update rest of the patches for 0.12
  * Modify save-stamp and clean-patched to save/restore files that are
    modified during build
  * Remove the get-orig-source target because it doesn't make sense for
    packages based on snapshots.
  * Thanks to أحمد المحمودي (Ahmed El-Mahmoudy) for the push
    to create experimental packages and the patches at #408610.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sun, 03 Feb 2008 08:17:52 +0530

elinks (0.11.3-3) unstable; urgency=low

  * Remove 06_elinks.conf-parse-error.diff and use a minimal elinks.conf file
    with only the user_agent setting.  Thanks giggz <giggzounet@gmail.com> for
    the bug report and Kalle Olavi Niemitalo for suggestion (Closes: #460912)
  * Rename patch 01_asciidoc-escape-FTBFS as 01_asciidoc7compatible to add a
    "-a asciidoc7compatible" to ASCIIDOC_FLAGS.  Thanks Kalle Olavi Niemitalo
    <kon@iki.fi> for the suggestion.
  * debian/copyright: Add 2008 to Debian packaging Copyright 'years'.
  * debian/control: Remove superfluous ;a=summary suffix from gitweb URL in
    Vcs-Browser:
  * Really install elinks.desktop desktop file for elinks and elinks-lite
    (remove elinks-lite.desktop, it is identical to elinks.desktop).
  * Changed all patches from "diff -urNad" to "git diff".  This will make it
    easier to maintain the patches.  Just modify the code in place and do a
    "git diff > debian/patches/0X_foo.diff"
  * Pass --enable-leds to configure.  Set ui.leds.enable to 0 by default via
    06_459467_ui.leds.enable_0.diff, this solves #459467 better.  Thanks to
    أحمد المحمودي (Ahmed El-Mahmoudy) for the suggestion.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Thu, 24 Jan 2008 17:38:29 +0530

elinks (0.11.3-2) unstable; urgency=low

  * Change Moritz's email ID in Uploaders to jmm@debian.org to be in sync with
    his other packages
  * Correction: Change Vcs-Svn in debian/control to Vcs-Git and VCS-Browser to
    the gitweb URL
  * Pass --disable-leds to configure, it causes a lot of wakeups on laptops.
    Update 06_elinks.conf-parse-error.diff to comment ui.leds.enable option
    (Closes: #459467)
  * elinks-lite is Priority: extra (Policy Section 2.5: Priorities -- because
    it conflicts with elinks, elinks-data and elinks-doc)
  * elinks and elinks-lite Don't Provides: links and don't install a links
    alternative (Closes: #154859)
  * Patch debian/patches/08_436817_nostrip.diff to prevent the binaries from
    being stipped unless dh_strip would want to (Closes: #436817)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 14 Jan 2008 17:06:19 +0530

elinks (0.11.3-1) unstable; urgency=low

  * Adopted by Y Giridhar Appaji Nag <giridhar@appaji.net> (Closes: #451088)
    + Add Co-maintainer Moritz Muehlenhoff <jmm@inutil.org> to Uploaders
  * Documentation is now built using sources, depends on the features
    configured while building elinks.
  * Remove superfluous m4 and bison Build-Depends.
  * Arch indep part of elinks is large, moved it to elinks-data package
    + Add lintian/linda overrides for elinks.1 man-page (installed by the
      elinks-data package).
  * New upstream release 0.11.3 (Closes: #429311)
    + Don't crash while sorting thru bookmarks (Closes: #315886)
    + German PO file corrections (Closes: #313696)
    + Use off_t for file size in FTP listing (Closes: #403139)
  * Add get-orig-source target that gets orig source and removes debian
    directory, translation files and config.{log,status} etc.
  * Change from DH_COMPAT 4 to debian/compat (5)
  * Move debian/watch file to version 3
  * Bump up Standards-Version to 3.7.3
    + Updated menu files for the latest menu policy.
    + debian/copyright: include all the major authors and copyright holders
      listed in source files.  ELinks is GPL2 only (Closes: #431211)
  * Add Homepage: and Vcs-*: fields to debian/control
  * maint-scripts: Remove debconf dependency and moving of elinks.conf.  Old
    transition code, not necessary anymore.
  * DH_ALWAYS_EXCLUDE=.gitignore in debian/rules (Closes: #413911)
  * Add debian/patches, but not using dpatch
    + Patch 01_asciidoc-escape-FTBFS.diff: Escape characters for asciidoc
      conversion (prevents FTBFS in make all-docs)
    + Patch 02_setup-bugs-FSSTND.diff: Point bugs URL to debian.org and
      remove FSSTND dir in setup.h etc.
    + Patch 03_417789-CVE-2007-2027.diff: Patch for #417789 from Julien
      Cristau <jcristau@debian.org> made a diff.
    + Patch 04_380347-entity_cache-overflow.diff: Prevent a buffer overflow
      in entity_cache.  Thanks Kalle Olavi Niemitalo <kon@iki.fi> for the fix
      (Closes: #380347)
    + Patch 05_257762-transparency-off.diff: Turn terminal transparency off
      by default.  Thanks Petr Baudis for the fix and Kalle Olavi Niemitalo
      <kon@iki.fi> for a pointer to the fix (Closes: #257762)
    + Patch 06_elinks.conf-parse-error.diff: create elinks-lite.conf, set
      config.saving_style=3 and comment options that are not valid.
    + Patch 07_local-CGI-query-fix.diff: Fix broken query parsing of file:
      URIs for local CGI.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 07 Jan 2008 00:10:17 +0530

elinks (0.11.1-1.5) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Fixed bug in http.c which could lead to secret information disclosure
    via POST requests for https URLs (CVE-2007-5034) (Closes: #443914, #443891).

 -- Nico Golde <nion@debian.org>  Tue, 25 Sep 2007 13:31:18 +0200

elinks (0.11.1-1.4) unstable; urgency=high

  * Non-maintainer security upload.
  * Don't look for gettext message catalogs in ../po/ (closes: #417789).
    Thanks, Arnaud Giersch! Reference: CVE-2007-2027.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Apr 2007 00:18:54 +0200

elinks (0.11.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD, patch by Petr Salinger (closes: #400872).
  * Don't regenerate control at build-time, this is now forbidden by the
    policy. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  4 Mar 2007 12:36:59 +0100

elinks (0.11.1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for security bug fix.
  * Configure with --disable-smb to fix security issue (CVE-2006-5925),
    closes: #399188.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Mon, 27 Nov 2006 02:32:47 +0100

elinks (0.11.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Clean up properly in the clean target; patch from Bart Martens.
    (Closes: #397859)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 17 Nov 2006 02:18:38 +0100

elinks (0.11.1-1) unstable; urgency=low

  * New upstream version 

 -- Peter Gervai <grin@grin.hu>  Wed, 24 May 2006 18:50:52 +0200

elinks (0.10.6-2) unstable; urgency=low

  * Depends on debconf | debconf-2.0 

 -- Peter Gervai <grin@tolna.net>  Wed, 28 Sep 2005 20:41:49 +0200

elinks (0.10.6-1) unstable; urgency=low

  * New upstream release
  * Really fix endless refreshing of documents (closes: #293298)

 -- Peter Gervai <grin@tolna.net>  Sat, 17 Sep 2005 17:49:52 +0200

elinks (0.10.4-7) unstable; urgency=low

  * Enabled gnutls in elinks-lite per 3rd party psychological 
    pressure (Closes: #326855)

 -- Peter Gervai <grin@tolna.net>  Wed,  7 Sep 2005 10:41:32 +0200

elinks (0.10.4-6) unstable; urgency=high

  * Recompile w/libc6 in sid (closes: #308869)
  * Added autotools-dev in build-deps and try to update
    basic autoconf files to support other archs

 -- Peter Gervai <grin@tolna.net>  Fri, 13 May 2005 01:12:46 +0200

elinks (0.10.4-5) unstable; urgency=low

  * Removed smb config option from sample config file, not
    necessary anyway (Closes: #307455)
  * Added build-dep on smbclient, suggests smbclient
  * Normal and lite both conflicts each other
  * Enable html-highlighting
  * Drop lite's big config (not strictly required)
  * More elinks-lite optimalisation - less size
  * Change user-agent string to debian specific
  * Mess up debian/rules (almost called it "cleaning up") 
    (Closes: #308179)

 -- Peter Gervai <grin@tolna.net>  Thu, 12 May 2005 00:46:26 +0200

elinks (0.10.4-4) unstable; urgency=low

  * Added elinks-lite: no extra dependencies (Closes: #178038, #218453)

 -- Peter Gervai <grin@tolna.net>  Thu, 28 Apr 2005 17:50:23 +0200

elinks (0.10.4-3) unstable; urgency=low

  * _Really_ add the missing build-dep (Closes: #304803, #306246)

 -- Peter Gervai <grin@tolna.net>  Wed, 27 Apr 2005 02:38:31 +0200

elinks (0.10.4-2) unstable; urgency=low

  * Disabled check to refuse run when root on the request of
    the upstream. (Closes: #305739, #304876)
  * Added missing build-dep (Closes: #304803, #306246)
  * Fixed default config (Closes: #305017, #305628, #305004)

 -- Peter Gervai <grin@tolna.net>  Sun, 24 Apr 2005 19:14:16 +0200

elinks (0.10.4-1) unstable; urgency=low

  * New Upstream release
  * Disable SpiderMonkey because it is not useful right now (closes: #302505)
  * Only read from /dev/stdin if no URL was given on the command line and
    automatically allow special files to be read (closes: #296976, #297510)
  * Fix repeatedly and endless refreshing of documents that triggers a
    download (like sourceforge's download pages) (closes: #293298)
  * Add watch file, thanks Hugo Haas
  * Scrolling was heavily reworked during the 0.10 development phase and now
    uses the correct width / height when scrolling (closes: #256533)
  * Fix warning on 64-bit architectures (closes: #285684)
  * Change verbose level to show warnings (closes: #303083)
  * Include FAQ from http://elinks.or.cz/ (closes: #301861)
  * Change FTP directory listing parser to Wget-based one due to licensing
    issues (closes: #300889)
  * Be more tolerant when handling values from the no_proxy environment
    variable (closes: #218451)
  * Explicitly define keyboard accelerators for buttons so that they
    do not clash (closes: #270205)

 -- Peter Gervai <grin@tolna.net>  Tue, 12 Apr 2005 23:46:12 +0200

elinks (0.10.2-3) unstable; urgency=low

  * Enable ECMAScript/JS engine SpiderMonkey
  * Enable experimental Perl scripting
  * Enable experimental NNTP handling
  * Enable 256 color terminal handling
  * Enable status blinkenlights ("leds")
  * Refuse to run under root uid

 -- Peter Gervai <grin@tolna.net>  Fri, 25 Feb 2005 12:47:10 +0100

elinks (0.10.2-2) unstable; urgency=low

  * Fixed bookmark problem (Closes: #296679)

 -- Peter Gervai <grin@tolna.net>  Fri, 25 Feb 2005 11:48:03 +0100

elinks (0.10.2-1) unstable; urgency=low

  * New upstream version v0.10.2
  * Cleanups by Jonas Fonseca <fonseca@diku.dk>, debian dir
    installed into upstream CVS:
  * Only remove CVS files from packaging directory so the package can
    be built from checked out sources
  * Install elinks.conf from contrib/
  * Install documentation files about using ELinks from doc/
  * Remove more unrelevant files from contrib/
  * List docs in elinks.docs file
  * Support for DEB_BUILD_OPTIONS
  * Update and cleanup debian/rules
  * Pass -force-html in the debian/mime mailcap entries so problems with
    viewing files without an extension are fixed
  * Enhance desktop file and install it in /usr/share/applications/ which
    seems to be the new standard
  * Many problems related to mangleme tools fixed (closes: #277283)
  * Documentation updates (closes: #215619)
  * Fix IPv6 URI parsing (closes: #173378)
  * Send the previous URL as referer by default (closes: #198684)
  * Bump up the dependency on dephelper (closes: #247280)
  * Force dumping to stdout when ELinks connects to a pipe instead of a
    terminal, even if the boolean argument to -dump is zero (closes: #231663)
  * Suggest filename based on Content-Disposition (closes: #171571)
  * Update the manpage and add -stdin command line option for compatibility
    even though reads from stdin are autodetected (closes: #281010)
  * Add support for recognizing mixed-case URI schemes (closes: #242140)
  * Fix xterm detection code, thanks Adam Borowski (closes: #228977)
  * Fix handling of id names in preformatted content (closes: #219331)
  * Fix assertion failure when searching in empty documents (closes: #238281)
  * Remove www-browser alternative, thanks Andreas Metzler (closes: #247495)
  * Fix uncompressing of .gz files on download (closes: #221207)

 -- Peter Gervai <grin@tolna.net>  Mon, 21 Feb 2005 15:21:55 +0100

elinks (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Peter Gervai <grin@tolna.net>  Sun, 21 Nov 2004 14:08:25 +0100

elinks (0.9.1+0.9.2rc4-2) unstable; urgency=low

  * Fix naming (it's rc [release candidate] and not pre[release])
  * Fix rules to use /etc/elinks for configure (closes: #267962)

 -- Peter Gervai <grin@tolna.net>  Wed, 11 Aug 2004 15:57:53 +0200

elinks (0.9.1+0.9.2pre4-1) unstable; urgency=low

  * New upstream version 0.9.2pre4
  * Remove kderemove from menu (closes: #264402)
  * Recompiled with gnutls11 (closes: #263633)
  * FTBFS on GNU/Hurd (and GNU/k*BSD) (closes: #262350)

 -- Peter Gervai <grin@tolna.net>  Sun,  8 Aug 2004 23:48:47 +0200

elinks (0.9.1+0.9.2pre3-1) unstable; urgency=low

  * New upstream pre-release 0.9.2pre3. (closes: #262306)
  * Don't read nonexistant hooks.lua (closes: #231760)
  * README.Debian updated by "I forgot to read the docs" 
    questions (closes: #209046, #234589)
  * Fix accept-charset problem (closes: #242524)
  * Updated build-deps based on buildd's hints, removed xlib-dev
    (closes: #231646)
  * Changed 'make prefix=' to 'make DESTDIR=' in rules (closes: #234991)
  * Removed outdated example dir (now included upstream)
  * Removed debconf warning about cookies (closes: #235816)

 -- Peter Gervai <grin@tolna.net>  Fri, 30 Jul 2004 23:38:42 +0200

elinks (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #226941)
  * Features: Standard, IPv6, gzip, bzip2, SSL (GnuTLS), MIME (Option
    system, Mailcap, Mimetypes files), Bookmarks, Cookies, Forms History, 
    Global History, URI rewrite, Scripting (Lua)
  * Droppend dep on xlibs (no xterm title restore) (Partially fixing
    #218453)
  * Depends on newer gnutls10 and liblua50

 -- Peter Gervai <grin@tolna.net>  Wed, 21 Jan 2004 22:13:45 +0100

elinks (0.4.2.99-1) unstable; urgency=low

  * New upstream release 0.4.3rc2
  * Manpage fixed (Closes: #210305, #212491)
  * No segfault when deleting bookmarks (Closes: #193119)
  * Install www-browser alternative (Closes: #184981)
  * ~user handled better (Closes: #181731)
  * Overwrite truncates file first (Closes: #186052)
  * Links/elinks selection now handled automagically (Closes: #168692)
  * Elinks starts with the "goto URL" dialog, not a blank 
    screen (Closes: #206932)
  * Remove CVS entries from package
  * Numerous upstream bugfixes.

 -- Peter Gervai <grin@tolna.net>  Thu,  9 Oct 2003 00:24:41 +0200

elinks (0.4.2-1) unstable; urgency=low

  * New upstream release 0.4.2.
  * New style config UI (Closes: #167928, #169908)
  * Includes spanish debconf template (Closes: #158576)
  * Fixes linking problem with some renegade lib (Closes: #176401)
  * Fixes 'bad url syntax' problem (Closes: #177335)
  * Defines as /usr/bin/links alternative (Closes: #164058, #168692)

 -- Peter Gervai <grin@tolna.net>  Thu, 30 Jan 2003 01:09:34 +0100

elinks (0.3.20021004-1) unstable; urgency=low

  * New upstream release 0.4pre17
  * Config moved into /etc/elinks/ (closes: #158666)

 -- Peter Gervai <grin@tolna.net>  Fri,  4 Oct 2002 15:58:19 +0200

elinks (0.3.20020825-2) unstable; urgency=low

  * Spanish debconf translation (closes: #158576)

 -- Peter Gervai <grin@tolna.net>  Wed, 28 Aug 2002 12:04:19 +0200

elinks (0.3.20020825-1) unstable; urgency=low

  * New upstream version 0.4pre14
  * Fixed a bug when elinks falls into infinite waiting loops
  * Compiled against new gnutls package (patched upstream to
    use gnutls/*.h... it used to work...)

 -- Peter Gervai <grin@tolna.net>  Sun, 25 Aug 2002 12:07:21 +0200

elinks (0.3.20020808-1) unstable; urgency=low

  * New upstream version 0.4pre12
  * Fixed lots of bugs, including stopping in the middle of a long 
    transfer ("slashdot problem", closes: #154938), cookie expiration
    (closes: #154664), self referer problem (closes: #154778).
  * Removed duplicate contrib/ dirs (bug in upstream's cvs, Closes: #154860)

 -- Peter Gervai <grin@tolna.net>  Thu,  8 Aug 2002 12:24:39 +0200

elinks (0.3.20020711-2) unstable; urgency=low

  * Disabled default cookie saving to disk due Bug#154664, because
    ELinks does not expire cookies all the time, and it causes 
    problems with remembered logins which should have been forgotten.
    You have to change ~/.elinks/elinks.conf though.

 -- Peter Gervai <grin@tolna.net>  Mon, 29 Jul 2002 22:21:02 +0200

elinks (0.3.20020711-1) unstable; urgency=low

  * Version 0.4pre12 upstream.
  * Package separated from links. This package is _preferred_ to
    the package 'links', because this contains plenty of useful
    features, including cookies (save too), referer handling,
    advanced configuration, LUA script language, and so on.
  * Before reporting bugs please check against the bugs of
    'links' and 'links-ssl'.  Thank you.

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 17:38:09 +0200

links-ssl (0.96.20020711-1) unstable; urgency=low

  * New upstream release (v0.7pre12)
  * Fixes DNS bug (closes: ...)
  * Fix some crashes

 -- Peter Gervai <grin@tolna.net>  Thu, 11 Jul 2002 12:28:17 +0200

links-ssl (0.96.20020607-1) unstable; urgency=low

  * New upstream release (v0.4pre7)

 -- Peter Gervai <grin@tolna.net>  Fri,  7 Jun 2002 17:28:18 +0000

links-ssl (0.96.20020409-2) unstable; urgency=low

  * Using new lua libraries (liblua40 / liblualib40) (closes: #141327)
  * Updated Readme (closes: #141542)

 -- Peter Gervai <grin@Tolna.net>  Mon, 15 Apr 2002 18:42:32 +0200

links-ssl (0.96.20020409-1) unstable; urgency=low

  * New upstream version (eLinks 04.pre5)
  * Again, plenty of bugs fixed and some features added (including,
    but not limited to history search and selection). 
  * Now handles spaces in filenames (closes: #92079)
  * Fixes stacked FTP commands (closes: #100861), but please reopen
    bug if it doesn't work correctly (I can't test it)!

 -- Peter Gervai <grin@Tolna.net>  Tue,  9 Apr 2002 20:17:02 +0200

links-ssl (0.96.20020319-2) unstable; urgency=low

  * I try to catch up with Lua packages, fixed build-deps (twice)
    (Now Lua should work on non i386 too)

 -- Peter Gervai <grin@tolna.net>  Wed, 20 Mar 2002 02:08:55 +0100

links-ssl (0.96.20020319-1) unstable; urgency=low

  * New upstream version (eLinks 0.4pre2)
  * Plenty of patches included now in eLinks, most of them
    provide new features, some fixes bugs (some creates them :-))
    (many features hidden unless you check the docs)
  * HTTP authentication (password) support (closes: #107480)
  * Nonexistant frame segfault fix (closes: #128877)
  * Included Links-lua docs
  * Fixed rules (closes: #127206), description (closes: #127203)

 -- Peter Gervai <grin@Tolna.net>  Tue, 19 Mar 2002 00:29:44 +0100

links-ssl (0.96.20011222-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fixes Build-Dependancy for lua-dev -> liblua4-dev (closes: #126290)
    
 -- Joel Baker <lucifer@lightbearer.com>  Sun, 17 Feb 2002 13:46:36 -0700

links-ssl (0.96.20011225-1) unstable; urgency=low

  * New upstream version (eLinks 0.2).
  * Minor bugfixes, mostly cosmetics.

 -- Peter Gervai <grin@Tolna.net>  Tue, 25 Dec 2001 02:29:05 +0100

links-ssl (0.96.20011222-1) unstable; urgency=low

  * Changed to packaging the actively developed branch of Links,
    which includes Lua patches and other goodies. Unless it breaks
    or behaves unacceptable I try to keep this packaged, as the original
    release does not get its bugs fixed no matter what....
  * Lots of bugfixes, see Changelog
  * Fixed config file example of gif to use mime-type (closes: #125661)
  
 -- Peter Gervai <grin@Tolna.net>  Sat, 22 Dec 2001 01:22:51 +0100

links-ssl (0.96-1) unstable; urgency=low

  * New upstream release

 -- Peter Gervai <grin@Tolna.net>  Wed,  4 Jul 2001 00:49:37 +0200

links-ssl (0.95.1-3) unstable; urgency=low

  * Changed links.desktop to links-ssl.desktop
  * links-ssl now provides links (closes: #102600)

 -- Peter Gervai <grin@Tolna.net>  Wed, 27 Jun 2001 21:10:41 +0200

links-ssl (0.95.1-2) unstable; urgency=high

  * Now everyone see I never tried KDE :) desktop file fixed 
    (closes: #101964)

 -- Peter Gervai <grin@Tolna.net>  Sat, 23 Jun 2001 12:17:50 +0200

links-ssl (0.95.1-1) unstable; urgency=low

  * New upstream version 0.96pre7
  * Build depends libgpmg1-dev [!hurd-i386] (closes: #99961, #95977)
  * Install KDE menu (closes: #96494)

 -- Peter Gervai <grin@Tolna.net>  Fri,  8 Jun 2001 00:25:45 +0200

links-ssl (0.95-3) unstable; urgency=low

  * fixes SIGSEGV due ssl libs

 -- Peter Gervai <grin@tolna.net>  Mon,  5 Mar 2001 14:28:17 +0100

links-ssl (0.95-2) unstable; urgency=low

  * Rebuilt using libssl096 (closes: #82079)
  * Fixed build dependency on libssl096-dev and 
    libgpmg1-dev (closes: #82080)
  * Hopefully not killing the Bugfree(tm) katie install
    mechanism by using consistent maintaner address. ;-)

 -- Peter Gervai <grin@tolna.net>  Tue, 16 Jan 2001 19:58:19 +0100

links-ssl (0.95-1) unstable; urgency=low

  * New upstream version.
  * build depends on debhelper (closes: #81231)

 -- Peter Gervai <grin@Yikes.Tolna.net>  Thu,  4 Jan 2001 03:15:52 +0100

links-ssl (0.94-0pre9) unstable; urgency=low

  * New upstream version.
  * Changelog split from links (-plain)
  * Removed "unofficial" patches to match upstream version, as
    the author seems to be working again and including submitted
    patches to mainstream. (closes: #80005, #79853)
  * Enter key now submits again (closes: #75225)
  * Pathless URL's aren't cut (closes: #75546)
  * Different xterm detection (closes: #79687)
  * Updated manpage

 -- Peter Gervai <grin@tolna.net>  Wed,  3 Jan 2001 19:00:58 +0100

Local variables:
mode: debian-changelog
End:

